import { http } from '@/utils/http/axios';

import type { PersonOverview, VehicleOverview, RegulationItem } from '@/views/security-confidentiality/overview/types';

export function getPersonOverview() {
  return http.request<PersonOverview>({
    url: '/overview/queryOverviewVisitorStatistics',
    method: 'get',
  });
}

export function getVehicleOverview() {
  return http.request<VehicleOverview>({
    url: '/overview/queryVehicleEntryRecordOverview',
    method: 'get',
  });
}

// 查询保卫规定与通知列表总览
export function getSecurityOverview() {
  return http.request<RegulationItem[]>({
    url: '/overview/queryDefenseRuleNoticeInfoOverview',
    method: 'get',
  });
}

// 查询保密规定与通知列表总览
export function getConfidentialityOverview() {
  return http.request<RegulationItem[]>({
    url: '/overview/querySecrecyRuleNoticeInfoOverview',
    method: 'get',
  });
}
